<template>
    <div>
        <form @submit.prevent="register">
            <label for="name">
                Name:
            </label>
            <input id="name" name="name" type="text" v-model="name" value>

            <label for="email">
                Email:
            </label>
            <input id="email" name="email" type="email" v-model="email" value>

            <label for="password">
                Password:
            </label>
            <input id="password" name type="password" v-model="password" value>

            <button name="button" type="submit">
                Register
            </button>
            <ul>
                <li :key="index" v-for="(error, index) in errors">{{error}}</li>
            </ul>
            <router-link to="/login">Already have an account? Log in.</router-link>
        </form>
    </div>
</template>

<script>
    export default {
        name: "RegisterUser",
        data: () => ({
            name: '',
            email: '',
            password: '',
            errors: null,
        }),
        methods: {
            register() {
                this.$store.dispatch('register', {
                    name: this.name,
                    email: this.email,
                    password: this.password
                }).then(() => {
                    this.$router.push({name: 'dashboard'})
                }).catch(err => {
                    this.error = err.response.data.error;
                })
            }
        }
    }
</script>

<style scoped>

</style>